Discover
Kalshi sports events matched against live Polymarket games
Returns cached Kalshi sports events and, if games is supplied, matches each AWAY:HOME[:league] triple’s team codes (uppercased) against each event’s ticker suffix (segment after the first -), grouping and sorting matches by total volume descending.
GET
/
api
/
sports
/
kalshi-live
Kalshi sports events matched against live Polymarket games
curl --request GET \
--url https://data.kairos.trade/api/sports/kalshi-live \
--header 'X-Api-Key: <api-key>' \
--header 'X-Api-Secret: <api-key>' \
--header 'X-Client-Id: <api-key>'import requests
url = "https://data.kairos.trade/api/sports/kalshi-live"
headers = {
"X-Client-Id": "<api-key>",
"X-Api-Key": "<api-key>",
"X-Api-Secret": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'X-Client-Id': '<api-key>',
'X-Api-Key': '<api-key>',
'X-Api-Secret': '<api-key>'
}
};
fetch('https://data.kairos.trade/api/sports/kalshi-live', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"events": [
{
"event_ticker": "<string>",
"total_volume": 123,
"market_count": 123
}
],
"matched": [
{
"away": "<string>",
"home": "<string>",
"league": "<string>",
"kalshi_events": [
{
"event_ticker": "<string>",
"total_volume": 123,
"market_count": 123
}
],
"total_volume": 123,
"total_markets": 123
}
]
}{
"detail": "Not authenticated"
}{
"detail": "Invite required"
}{
"detail": [
{}
]
}{
"error": "Rate limit exceeded: 100 per 1 minute"
}Authorizations
Credential client id (kairos_ck_...). Must be sent together with X-Api-Key and X-Api-Secret.
64-char hex API key.
64-char hex API secret.
Query Parameters
Comma-separated list of AWAY:HOME[:league] team-code triples, e.g. ATL:CLE:nba,DET:MIN:mlb. When omitted, returns all cached events with an empty matched list.
Was this page helpful?
⌘I
Kalshi sports events matched against live Polymarket games

